Package io.papermc.paper.event.player

# Enum Class PlayerItemFrameChangeEvent.ItemFrameChangeAction

java.lang.Object
java.lang.Enum<PlayerItemFrameChangeEvent.ItemFrameChangeAction>
io.papermc.paper.event.player.PlayerItemFrameChangeEvent.ItemFrameChangeAction

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerItemFrameChangeEvent.ItemFrameChangeAction>`, `Constable`

Enclosing class:
  PlayerItemFrameChangeEvent

public static enum PlayerItemFrameChangeEvent.ItemFrameChangeAction extends Enum<PlayerItemFrameChangeEvent.ItemFrameChangeAction>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PLACE`
`REMOVE`
`ROTATE`

## Method Summary

Modifier and Type
Method
Description
`static PlayerItemFrameChangeEvent.ItemFrameChangeAction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerItemFrameChangeEvent.ItemFrameChangeAction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PLACE

public static final PlayerItemFrameChangeEvent.ItemFrameChangeAction PLACE

### REMOVE

public static final PlayerItemFrameChangeEvent.ItemFrameChangeAction REMOVE

### ROTATE

public static final PlayerItemFrameChangeEvent.ItemFrameChangeAction ROTATE

## Method Details

### values

public static PlayerItemFrameChangeEvent.ItemFrameChangeAction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerItemFrameChangeEvent.ItemFrameChangeAction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null